package com.perforce.client.api;

/**
 * JNI wrappers to stdlib functions. 
 */
class EnvironmentAccess
{
	private static native String nGetenv( String name );
	
	/**
	 * Gets a value from the current environment.
	 * 
	 * Searches the list of environment variables for variable <var>name</var>. 
	 * The <tt>getenv</tt> function is not case sensitive in Windows 98/Me 
	 * and Windows NT/2000/XP. 
	 * 
	 * @param name Environment variable name
	 * @return the value of the environment table entry containing varname, or 
	 * <tt>null</tt> if not found in the environment table.
	 * @see System#getenv
	 */
	static String getenv( String name )
	{
		return nGetenv( name );
	}
	
//	private static native void nSetenv( String name, String value );
	
//	static void setenv( String name, String value )
//	{
//		nSetenv( name, value );
//	}
	
	private EnvironmentAccess() {
	}
}